<!DOCTYPE html>
<html>
<head>
    <meta charset="utf-8">
    <title>Rasa Core Visualisation</title>
    <script src="https://dagrejs.github.io/project/dagre-d3/latest/dagre-d3.min.js"></script>
    <script src="https://dagrejs.github.io/project/dagre/latest/dagre.min.js"></script>
    <script src="https://d3js.org/d3.v4.js"></script>
    <script src="https://dagrejs.github.io/project/graphlib-dot/v0.6.3/graphlib-dot.js"></script>
</head>
<body>
<div id="errormsg" style="color: #b00"></div>
<svg>
    <style id="graph-style">
        .node.invisible > rect {
            display: none;
        }

        .node.start > rect {
            fill: #7f7;
            rx: 30;
            ry: 18;
        }

        .node.end > rect {
            fill: #f77;
            rx: 30;
            ry: 18;
        }

        .node:not(.active) > rect, .node:not(.active) > .label {
            opacity: 0.4;
        }

        .edgePath:not(.active) path {
            opacity: 0.4;
        }

        .node.ellipsis > rect {
            fill: #CCC;
        }

        .node.intent > rect {
            fill: #7ff;
        }

        .node.dashed > rect {
            stroke-dasharray: 5;
        }

        text {
            font-weight: 300;
            font-family: "Helvetica Neue", Helvetica, Arial, sans-serf, serif;
            font-size: 14px;
            color: #1f1d1d;
        }

        .node rect {
            stroke: #444;
            fill: #fff;
            stroke-width: 1.5px;
        }

        .edgePath path {
            stroke: #333;
            stroke-width: 1.5px;
        }

        svg {
            position: fixed;
            top: 10px;
            left: 0;
            height: 100%;
            width: 100%
        }
    </style>
    <g></g>
</svg>
<script>

  function serveGraph() {
    let oldInputGraphValue;

    const url = 'visualization.dot';
    const refreshInterval = 500;

    // trigger a refresh by fetching an updated graph
    setInterval(function () {
      fetch(url).then(r => r.text()).then(dot => {
        document.getElementById('errormsg').innerHTML = '';
        if (oldInputGraphValue === dot) return;

        oldInputGraphValue = dot;
        drawGraph(dot);
      }).catch(err => {
        document.getElementById('errormsg').innerHTML =
          'Failed to update plot. (' + err.message + ')';
      });
    }, refreshInterval);
  }

  function drawGraph(graph) {
    let g = graphlibDot.read(graph);
    // Set margins, if not present
    if (!g.graph().hasOwnProperty("marginx") &&
      !g.graph().hasOwnProperty("marginy")) {
      g.graph().marginx = 20;
      g.graph().marginy = 20;
    }
    g.graph().transition = function (selection) {
      return selection.transition().duration(300);
    };
    // Render the graph into svg g
    d3.select("svg g").call(render, g);
  }
  // Set up zoom support
  const svg = d3.select("svg"),
    inner = d3.select("svg g"),
    zoom = d3.zoom().on("zoom", function () {
      inner.attr("transform", d3.event.transform);
    });
  svg.call(zoom);

  // Create and configure the renderer
  const render = dagreD3.render();

  let isClient = false;
  isClient = true;

  if (isClient) {
    // Mark all nodes and their edges as active
    cssRules = document.getElementById('graph-style').sheet.cssRules;
    cssRules[3].style.opacity = 1;
    cssRules[4].style.opacity = 1;

    let graph;
    graph = `digraph  {
action_2134_answer_no_saleperson_again;
action_214_like_saleperson;
action_2143_answer_no_like_again;
action_215_is_local_company;
action_2124_no_single_again;
action_213_is_saleperson;
action_2142_fix_no_like;
action_211_is_learning_english;
action_2113_speak_affirm_again;
action_2131_fix_yes_saleperson;
action_2151_fix_yes_local;
action_2154_answer_yes_local_again;
action_216_is_difficult_highpay;
action_212_is_single;
action_2111_fix_affirm;
action_2163_fix_yes_difficult;
action_end_practice;
action_2153_answer_no_local_again;
action_2114_speak_deny_again;
action_2164_fix_no_difficult;
action_2144_answer_yes_like_again;
action_2141_fix_yes_like;
action_2162_speak_no_difficult_again;
action_2132_fix_no_saleperson;
action_2122_fix_no_single;
action_2123_yes_single_again;
action_2112_fix_deny;
action_2121_fix_yes_single;
action_2133_answer_yes_saleperson_again;
action_2152_fix_no_local;
action_2161_speak_yes_difficult_again;
START;
END;
action_2134_answer_no_saleperson_again -> action_214_like_saleperson  [key=0, label=no_pos_job];
action_2134_answer_no_saleperson_again -> action_214_like_saleperson  [key=1, label=intent_fallback];
action_2134_answer_no_saleperson_again -> action_214_like_saleperson  [key=2, label=no_neg_job_wrong_format];
action_2134_answer_no_saleperson_again -> action_214_like_saleperson  [key=3, label=deny];
action_2134_answer_no_saleperson_again -> action_214_like_saleperson  [key=4, label=no_neg_job_no_mistake];
action_2134_answer_no_saleperson_again -> action_214_like_saleperson  [key=5, label=no_neg_job];
action_2134_answer_no_saleperson_again -> action_2132_fix_no_saleperson  [key=0, label=no_neg_job_have_mistake];
action_214_like_saleperson -> action_2144_answer_yes_like_again  [key=0, label=like_tobe_job];
action_214_like_saleperson -> action_2144_answer_yes_like_again  [key=1, label=yes_like_tobe_job_wrong_format];
action_214_like_saleperson -> action_2144_answer_yes_like_again  [key=2, label=yes_dont_like_tobe_job];
action_214_like_saleperson -> action_2144_answer_yes_like_again  [key=3, label=affirm];
action_214_like_saleperson -> action_215_is_local_company  [key=0, label=intent_fallback_3rd];
action_214_like_saleperson -> action_215_is_local_company  [key=1, label=yes_like_tobe_job_no_mistake];
action_214_like_saleperson -> action_215_is_local_company  [key=2, label=no_dont_like_tobe_job_no_mistake];
action_214_like_saleperson -> action_214_like_saleperson  [key=0, label=yes_like_tobe_job];
action_214_like_saleperson -> action_214_like_saleperson  [key=1, label=intent_fallback];
action_214_like_saleperson -> action_214_like_saleperson  [key=2, label=no_dont_like_tobe_job];
action_214_like_saleperson -> action_2143_answer_no_like_again  [key=0, label=no_like_tobe_job];
action_214_like_saleperson -> action_2143_answer_no_like_again  [key=1, label=no_dont_like_tobe_job_wrong_format];
action_214_like_saleperson -> action_2143_answer_no_like_again  [key=2, label=deny];
action_214_like_saleperson -> action_2141_fix_yes_like  [key=0, label=yes_like_tobe_job_have_mistake];
action_214_like_saleperson -> action_2142_fix_no_like  [key=0, label=no_dont_like_tobe_job_have_mistake];
action_2143_answer_no_like_again -> action_215_is_local_company  [key=0, label=no_dont_like_tobe_job_wrong_format];
action_2143_answer_no_like_again -> action_215_is_local_company  [key=1, label=intent_fallback];
action_2143_answer_no_like_again -> action_215_is_local_company  [key=2, label=no_dont_like_tobe_job_no_mistake];
action_2143_answer_no_like_again -> action_215_is_local_company  [key=3, label=no_dont_like_tobe_job];
action_2143_answer_no_like_again -> action_215_is_local_company  [key=4, label=deny];
action_2143_answer_no_like_again -> action_215_is_local_company  [key=5, label=no_like_tobe_job];
action_2143_answer_no_like_again -> action_2142_fix_no_like  [key=0, label=no_dont_like_tobe_job_have_mistake];
action_215_is_local_company -> action_2151_fix_yes_local  [key=0, label=yes_pos_workplace_have_mistake];
action_215_is_local_company -> action_2154_answer_yes_local_again  [key=0, label=yes_pos_workplace_wrong_format];
action_215_is_local_company -> action_2154_answer_yes_local_again  [key=1, label=affirm];
action_215_is_local_company -> action_2154_answer_yes_local_again  [key=2, label=yes_neg_workplace];
action_215_is_local_company -> action_2153_answer_no_local_again  [key=0, label=no_pos_workplace];
action_215_is_local_company -> action_2153_answer_no_local_again  [key=1, label=deny];
action_215_is_local_company -> action_2153_answer_no_local_again  [key=2, label=no_neg_workplace_wrong_format];
action_215_is_local_company -> action_215_is_local_company  [key=0, label=no_neg_workplace];
action_215_is_local_company -> action_215_is_local_company  [key=1, label=provide_workpalce];
action_215_is_local_company -> action_215_is_local_company  [key=2, label=intent_fallback];
action_215_is_local_company -> action_215_is_local_company  [key=3, label=yes_pos_workplace];
action_215_is_local_company -> action_216_is_difficult_highpay  [key=0, label=intent_fallback_3rd];
action_215_is_local_company -> action_216_is_difficult_highpay  [key=1, label=no_neg_workplace_no_mistake];
action_215_is_local_company -> action_216_is_difficult_highpay  [key=2, label=yes_pos_workplace_no_mistake];
action_215_is_local_company -> action_2152_fix_no_local  [key=0, label=no_neg_workplace_have_mistake];
action_2124_no_single_again -> action_213_is_saleperson  [key=0, label=no_single_wrong_format];
action_2124_no_single_again -> action_213_is_saleperson  [key=1, label=no_single_no_mistake];
action_2124_no_single_again -> action_213_is_saleperson  [key=2, label=deny];
action_2124_no_single_again -> action_213_is_saleperson  [key=3, label=intent_fallback];
action_2124_no_single_again -> action_2122_fix_no_single  [key=0, label=no_single_have_mistake];
action_2124_no_single_again -> action_2124_no_single_again  [key=0, label=no_single];
action_213_is_saleperson -> action_214_like_saleperson  [key=0, label=yes_pos_job_no_mistake];
action_213_is_saleperson -> action_214_like_saleperson  [key=1, label=intent_fallback_3rd];
action_213_is_saleperson -> action_214_like_saleperson  [key=2, label=no_neg_job_no_mistake];
action_213_is_saleperson -> action_2134_answer_no_saleperson_again  [key=0, label=no_neg_job_wrong_format];
action_213_is_saleperson -> action_2134_answer_no_saleperson_again  [key=1, label=deny];
action_213_is_saleperson -> action_2134_answer_no_saleperson_again  [key=2, label=no_pos_job];
action_213_is_saleperson -> action_2132_fix_no_saleperson  [key=0, label=no_neg_job_have_mistake];
action_213_is_saleperson -> action_2133_answer_yes_saleperson_again  [key=0, label=yes_pos_job_wrong_format];
action_213_is_saleperson -> action_2133_answer_yes_saleperson_again  [key=1, label=affirm];
action_213_is_saleperson -> action_2133_answer_yes_saleperson_again  [key=2, label=yes_neg_job];
action_213_is_saleperson -> action_213_is_saleperson  [key=0, label=no_neg_job];
action_213_is_saleperson -> action_213_is_saleperson  [key=1, label=intent_fallback];
action_213_is_saleperson -> action_213_is_saleperson  [key=2, label=yes_pos_job];
action_213_is_saleperson -> action_213_is_saleperson  [key=3, label=provide_job];
action_213_is_saleperson -> action_2131_fix_yes_saleperson  [key=0, label=yes_pos_job_have_mistake];
action_2142_fix_no_like -> action_215_is_local_company  [key=0, label=no_like_tobe_job];
action_2142_fix_no_like -> action_215_is_local_company  [key=1, label=no_dont_like_tobe_job_have_mistake];
action_2142_fix_no_like -> action_215_is_local_company  [key=2, label=deny];
action_2142_fix_no_like -> action_215_is_local_company  [key=3, label=no_dont_like_tobe_job];
action_2142_fix_no_like -> action_215_is_local_company  [key=4, label=no_dont_like_tobe_job_no_mistake];
action_2142_fix_no_like -> action_215_is_local_company  [key=5, label=no_dont_like_tobe_job_wrong_format];
action_2142_fix_no_like -> action_215_is_local_company  [key=6, label=intent_fallback];
action_211_is_learning_english -> action_2113_speak_affirm_again  [key=0, label=yes_learning_english_wrong_format];
action_211_is_learning_english -> action_2113_speak_affirm_again  [key=1, label=affirm];
action_211_is_learning_english -> action_212_is_single  [key=0, label=yes_learning_english_no_mistake];
action_211_is_learning_english -> action_212_is_single  [key=1, label=no_learning_english_no_mistake];
action_211_is_learning_english -> action_212_is_single  [key=2, label=intent_fallback_3rd];
action_211_is_learning_english -> action_2114_speak_deny_again  [key=0, label=deny];
action_211_is_learning_english -> action_2114_speak_deny_again  [key=1, label=no_learning_english_wrong_format];
action_211_is_learning_english -> action_211_is_learning_english  [key=0, label=yes_learning_english];
action_211_is_learning_english -> action_211_is_learning_english  [key=1, label=no_learning_english];
action_211_is_learning_english -> action_211_is_learning_english  [key=2, label=intent_fallback];
action_211_is_learning_english -> action_2111_fix_affirm  [key=0, label=yes_learning_english_have_mistake];
action_211_is_learning_english -> action_2112_fix_deny  [key=0, label=no_learning_english_have_mistake];
action_2113_speak_affirm_again -> action_212_is_single  [key=0, label=affirm];
action_2113_speak_affirm_again -> action_212_is_single  [key=1, label=yes_learning_english_no_mistake];
action_2113_speak_affirm_again -> action_212_is_single  [key=2, label=yes_learning_english];
action_2113_speak_affirm_again -> action_212_is_single  [key=3, label=intent_fallback];
action_2113_speak_affirm_again -> action_212_is_single  [key=4, label=yes_learning_english_wrong_format];
action_2113_speak_affirm_again -> action_2111_fix_affirm  [key=0, label=yes_learning_english_have_mistake];
action_2131_fix_yes_saleperson -> action_214_like_saleperson  [key=0, label=yes_neg_job];
action_2131_fix_yes_saleperson -> action_214_like_saleperson  [key=1, label=yes_pos_job_wrong_format];
action_2131_fix_yes_saleperson -> action_214_like_saleperson  [key=2, label=yes_pos_job_have_mistake];
action_2131_fix_yes_saleperson -> action_214_like_saleperson  [key=3, label=affirm];
action_2131_fix_yes_saleperson -> action_214_like_saleperson  [key=4, label=yes_pos_job];
action_2131_fix_yes_saleperson -> action_214_like_saleperson  [key=5, label=intent_fallback];
action_2131_fix_yes_saleperson -> action_214_like_saleperson  [key=6, label=yes_pos_job_no_mistake];
action_2151_fix_yes_local -> action_216_is_difficult_highpay  [key=0, label=yes_neg_workplace];
action_2151_fix_yes_local -> action_216_is_difficult_highpay  [key=1, label=yes_pos_workplace_have_mistake];
action_2151_fix_yes_local -> action_216_is_difficult_highpay  [key=2, label=intent_fallback];
action_2151_fix_yes_local -> action_216_is_difficult_highpay  [key=3, label=yes_pos_workplace];
action_2151_fix_yes_local -> action_216_is_difficult_highpay  [key=4, label=yes_pos_workplace_wrong_format];
action_2151_fix_yes_local -> action_216_is_difficult_highpay  [key=5, label=affirm];
action_2151_fix_yes_local -> action_216_is_difficult_highpay  [key=6, label=yes_pos_workplace_no_mistake];
action_2154_answer_yes_local_again -> action_216_is_difficult_highpay  [key=0, label=yes_pos_workplace_wrong_format];
action_2154_answer_yes_local_again -> action_216_is_difficult_highpay  [key=1, label=yes_pos_workplace];
action_2154_answer_yes_local_again -> action_216_is_difficult_highpay  [key=2, label=intent_fallback];
action_2154_answer_yes_local_again -> action_216_is_difficult_highpay  [key=3, label=yes_pos_workplace_no_mistake];
action_2154_answer_yes_local_again -> action_216_is_difficult_highpay  [key=4, label=yes_neg_workplace];
action_2154_answer_yes_local_again -> action_216_is_difficult_highpay  [key=5, label=affirm];
action_2154_answer_yes_local_again -> action_2151_fix_yes_local  [key=0, label=yes_pos_workplace_have_mistake];
action_216_is_difficult_highpay -> action_2162_speak_no_difficult_again  [key=0, label=no_difficult_wrong_format];
action_216_is_difficult_highpay -> action_2162_speak_no_difficult_again  [key=1, label=deny];
action_216_is_difficult_highpay -> action_216_is_difficult_highpay  [key=0, label=yes_difficult];
action_216_is_difficult_highpay -> action_216_is_difficult_highpay  [key=1, label=no_difficult];
action_216_is_difficult_highpay -> action_216_is_difficult_highpay  [key=2, label=intent_fallback];
action_216_is_difficult_highpay -> action_end_practice  [key=0, label=intent_fallback_3rd];
action_216_is_difficult_highpay -> action_end_practice  [key=1, label=yes_difficult_no_mistake];
action_216_is_difficult_highpay -> action_end_practice  [key=2, label=no_difficult_no_mistake];
action_216_is_difficult_highpay -> action_2163_fix_yes_difficult  [key=0, label=yes_difficult_have_mistake];
action_216_is_difficult_highpay -> action_2164_fix_no_difficult  [key=0, label=no_difficult_have_mistake];
action_216_is_difficult_highpay -> action_2161_speak_yes_difficult_again  [key=0, label=yes_difficult_wrong_format];
action_216_is_difficult_highpay -> action_2161_speak_yes_difficult_again  [key=1, label=affirm];
action_212_is_single -> action_2123_yes_single_again  [key=0, label=yes_single_wrong_format];
action_212_is_single -> action_2123_yes_single_again  [key=1, label=affirm];
action_212_is_single -> action_213_is_saleperson  [key=0, label=intent_fallback_3rd];
action_212_is_single -> action_213_is_saleperson  [key=1, label=yes_single_no_mistake];
action_212_is_single -> action_213_is_saleperson  [key=2, label=no_single_no_mistake];
action_212_is_single -> action_212_is_single  [key=0, label=intent_fallback];
action_212_is_single -> action_212_is_single  [key=1, label=yes_single];
action_212_is_single -> action_212_is_single  [key=2, label=no_single];
action_212_is_single -> action_2124_no_single_again  [key=0, label=no_single_wrong_format];
action_212_is_single -> action_2124_no_single_again  [key=1, label=deny];
action_212_is_single -> action_2122_fix_no_single  [key=0, label=no_single_have_mistake];
action_212_is_single -> action_2121_fix_yes_single  [key=0, label=yes_single_have_mistake];
action_2111_fix_affirm -> action_212_is_single  [key=0, label=yes_learning_english_no_mistake];
action_2111_fix_affirm -> action_212_is_single  [key=1, label=affirm];
action_2111_fix_affirm -> action_212_is_single  [key=2, label=yes_learning_english];
action_2111_fix_affirm -> action_212_is_single  [key=3, label=yes_learning_english_have_mistake];
action_2111_fix_affirm -> action_212_is_single  [key=4, label=yes_learning_english_wrong_format];
action_2111_fix_affirm -> action_212_is_single  [key=5, label=intent_fallback];
action_2163_fix_yes_difficult -> action_end_practice  [key=0, label=yes_difficult_have_mistake];
action_2163_fix_yes_difficult -> action_end_practice  [key=1, label=yes_difficult_no_mistake];
action_2163_fix_yes_difficult -> action_end_practice  [key=2, label=yes_difficult_wrong_format];
action_2163_fix_yes_difficult -> action_end_practice  [key=3, label=affirm];
action_2163_fix_yes_difficult -> action_end_practice  [key=4, label=yes_difficult];
action_2163_fix_yes_difficult -> action_end_practice  [key=5, label=intent_fallback];
action_end_practice -> END  [key=0, label=None];
action_2153_answer_no_local_again -> action_2152_fix_no_local  [key=0, label=no_neg_workplace_have_mistake];
action_2153_answer_no_local_again -> action_216_is_difficult_highpay  [key=0, label=no_neg_workplace];
action_2153_answer_no_local_again -> action_216_is_difficult_highpay  [key=1, label=no_pos_workplace];
action_2153_answer_no_local_again -> action_216_is_difficult_highpay  [key=2, label=intent_fallback];
action_2153_answer_no_local_again -> action_216_is_difficult_highpay  [key=3, label=no_neg_workplace_wrong_format];
action_2153_answer_no_local_again -> action_216_is_difficult_highpay  [key=4, label=deny];
action_2153_answer_no_local_again -> action_216_is_difficult_highpay  [key=5, label=no_neg_workplace_no_mistake];
action_2114_speak_deny_again -> action_212_is_single  [key=0, label=no_learning_english_wrong_format];
action_2114_speak_deny_again -> action_212_is_single  [key=1, label=no_learning_english];
action_2114_speak_deny_again -> action_212_is_single  [key=2, label=deny];
action_2114_speak_deny_again -> action_212_is_single  [key=3, label=intent_fallback];
action_2114_speak_deny_again -> action_212_is_single  [key=4, label=no_learning_english_no_mistake];
action_2114_speak_deny_again -> action_2112_fix_deny  [key=0, label=no_learning_english_have_mistake];
action_2164_fix_no_difficult -> action_end_practice  [key=0, label=intent_fallback];
action_2164_fix_no_difficult -> action_end_practice  [key=1, label=no_difficult_no_mistake];
action_2164_fix_no_difficult -> action_end_practice  [key=2, label=no_difficult];
action_2164_fix_no_difficult -> action_end_practice  [key=3, label=no_difficult_wrong_format];
action_2164_fix_no_difficult -> action_end_practice  [key=4, label=deny];
action_2164_fix_no_difficult -> action_end_practice  [key=5, label=no_difficult_have_mistake];
action_2144_answer_yes_like_again -> action_215_is_local_company  [key=0, label=yes_like_tobe_job];
action_2144_answer_yes_like_again -> action_215_is_local_company  [key=1, label=affirm];
action_2144_answer_yes_like_again -> action_215_is_local_company  [key=2, label=yes_like_tobe_job_no_mistake];
action_2144_answer_yes_like_again -> action_215_is_local_company  [key=3, label=yes_like_tobe_job_wrong_format];
action_2144_answer_yes_like_again -> action_215_is_local_company  [key=4, label=intent_fallback];
action_2144_answer_yes_like_again -> action_215_is_local_company  [key=5, label=yes_dont_like_tobe_job];
action_2144_answer_yes_like_again -> action_2141_fix_yes_like  [key=0, label=yes_like_tobe_job_have_mistake];
action_2141_fix_yes_like -> action_215_is_local_company  [key=0, label=yes_neg_job];
action_2141_fix_yes_like -> action_215_is_local_company  [key=1, label=affirm];
action_2141_fix_yes_like -> action_215_is_local_company  [key=2, label=yes_like_tobe_job];
action_2141_fix_yes_like -> action_215_is_local_company  [key=3, label=yes_like_tobe_job_no_mistake];
action_2141_fix_yes_like -> action_215_is_local_company  [key=4, label=intent_fallback];
action_2141_fix_yes_like -> action_215_is_local_company  [key=5, label=yes_like_tobe_job_wrong_format];
action_2141_fix_yes_like -> action_215_is_local_company  [key=6, label=yes_like_tobe_job_have_mistake];
action_2162_speak_no_difficult_again -> action_end_practice  [key=0, label=intent_fallback];
action_2162_speak_no_difficult_again -> action_end_practice  [key=1, label=no_difficult];
action_2162_speak_no_difficult_again -> action_end_practice  [key=2, label=no_difficult_no_mistake];
action_2162_speak_no_difficult_again -> action_end_practice  [key=3, label=no_difficult_wrong_format];
action_2162_speak_no_difficult_again -> action_end_practice  [key=4, label=deny];
action_2162_speak_no_difficult_again -> action_2164_fix_no_difficult  [key=0, label=no_difficult_have_mistake];
action_2132_fix_no_saleperson -> action_214_like_saleperson  [key=0, label=no_neg_job_have_mistake];
action_2132_fix_no_saleperson -> action_214_like_saleperson  [key=1, label=no_neg_job_wrong_format];
action_2132_fix_no_saleperson -> action_214_like_saleperson  [key=2, label=intent_fallback];
action_2132_fix_no_saleperson -> action_214_like_saleperson  [key=3, label=deny];
action_2132_fix_no_saleperson -> action_214_like_saleperson  [key=4, label=no_neg_job_no_mistake];
action_2132_fix_no_saleperson -> action_214_like_saleperson  [key=5, label=no_neg_job];
action_2132_fix_no_saleperson -> action_214_like_saleperson  [key=6, label=no_pos_job];
action_2122_fix_no_single -> action_213_is_saleperson  [key=0, label=no_single_no_mistake];
action_2122_fix_no_single -> action_213_is_saleperson  [key=1, label=no_single];
action_2122_fix_no_single -> action_213_is_saleperson  [key=2, label=intent_fallback];
action_2122_fix_no_single -> action_213_is_saleperson  [key=3, label=no_single_wrong_format];
action_2122_fix_no_single -> action_213_is_saleperson  [key=4, label=no_single_have_mistake];
action_2122_fix_no_single -> action_213_is_saleperson  [key=5, label=deny];
action_2123_yes_single_again -> action_213_is_saleperson  [key=0, label=intent_fallback];
action_2123_yes_single_again -> action_213_is_saleperson  [key=1, label=affirm];
action_2123_yes_single_again -> action_213_is_saleperson  [key=2, label=yes_single_no_mistake];
action_2123_yes_single_again -> action_213_is_saleperson  [key=3, label=yes_single_wrong_format];
action_2123_yes_single_again -> action_2121_fix_yes_single  [key=0, label=yes_single_have_mistake];
action_2123_yes_single_again -> action_2123_yes_single_again  [key=0, label=yes_single];
action_2112_fix_deny -> action_212_is_single  [key=0, label=intent_fallback];
action_2112_fix_deny -> action_212_is_single  [key=1, label=no_learning_english_have_mistake];
action_2112_fix_deny -> action_212_is_single  [key=2, label=deny];
action_2112_fix_deny -> action_212_is_single  [key=3, label=no_learning_english];
action_2112_fix_deny -> action_212_is_single  [key=4, label=no_learning_english_wrong_format];
action_2112_fix_deny -> action_212_is_single  [key=5, label=no_learning_english_no_mistake];
action_2121_fix_yes_single -> action_213_is_saleperson  [key=0, label=yes_single_wrong_format];
action_2121_fix_yes_single -> action_213_is_saleperson  [key=1, label=yes_single_no_mistake];
action_2121_fix_yes_single -> action_213_is_saleperson  [key=2, label=yes_single];
action_2121_fix_yes_single -> action_213_is_saleperson  [key=3, label=intent_fallback];
action_2121_fix_yes_single -> action_213_is_saleperson  [key=4, label=yes_single_have_mistake];
action_2121_fix_yes_single -> action_213_is_saleperson  [key=5, label=affirm];
action_2133_answer_yes_saleperson_again -> action_214_like_saleperson  [key=0, label=yes_pos_job];
action_2133_answer_yes_saleperson_again -> action_214_like_saleperson  [key=1, label=yes_neg_job];
action_2133_answer_yes_saleperson_again -> action_214_like_saleperson  [key=2, label=intent_fallback];
action_2133_answer_yes_saleperson_again -> action_214_like_saleperson  [key=3, label=yes_pos_job_no_mistake];
action_2133_answer_yes_saleperson_again -> action_214_like_saleperson  [key=4, label=affirm];
action_2133_answer_yes_saleperson_again -> action_214_like_saleperson  [key=5, label=yes_pos_job_wrong_format];
action_2133_answer_yes_saleperson_again -> action_2131_fix_yes_saleperson  [key=0, label=yes_pos_job_have_mistake];
action_2152_fix_no_local -> action_216_is_difficult_highpay  [key=0, label=intent_Fallback];
action_2152_fix_no_local -> action_216_is_difficult_highpay  [key=1, label=no_neg_workplace];
action_2152_fix_no_local -> action_216_is_difficult_highpay  [key=2, label=no_pos_workplace];
action_2152_fix_no_local -> action_216_is_difficult_highpay  [key=3, label=deny];
action_2152_fix_no_local -> action_216_is_difficult_highpay  [key=4, label=no_neg_workplace_wrong_format];
action_2152_fix_no_local -> action_216_is_difficult_highpay  [key=5, label=no_neg_workplace_no_mistake];
action_2152_fix_no_local -> action_216_is_difficult_highpay  [key=6, label=no_neg_workplace_have_mistake];
action_2161_speak_yes_difficult_again -> action_end_practice  [key=0, label=intent_fallback];
action_2161_speak_yes_difficult_again -> action_end_practice  [key=1, label=yes_difficult_no_mistake];
action_2161_speak_yes_difficult_again -> action_end_practice  [key=2, label=yes_difficult];
action_2161_speak_yes_difficult_again -> action_end_practice  [key=3, label=affirm];
action_2161_speak_yes_difficult_again -> action_end_practice  [key=4, label=yes_difficult_wrong_format];
action_2161_speak_yes_difficult_again -> action_2163_fix_yes_difficult  [key=0, label=yes_difficult_have_mistake];
START -> action_211_is_learning_english  [key=0, label=null_intent];
}
`;
    drawGraph(graph);
  } else {
    serveGraph();
  }


</script>
</body>
</html>
